/* This software is contributed or developed by KYOCERA Corporation. */
/* (C) 2012 KYOCERA Corporation                                      */

#ifndef HS_PL_TABLE_H
#define HS_PL_TABLE_H
#include  "hs_pl_table_util.h"

enum {
  HS_PL_TABLE_0,
  HS_PL_TABLE_1,
  HS_PL_TABLE_A1,
  HS_PL_TABLE_A2,
  HS_PL_TABLE_A3,
  HS_PL_TABLE_OTHER,
  HS_PL_TABLE_END
};

enum {
  HS_PL_CONT_0,
  HS_PL_CONT_1,
  HS_PL_CONT_2,
  HS_PL_CONT_END
};

#define   HS_PL_MAKE_FLAG1      0x41544C50
#define   HS_PL_MAKE_FLAG2      0x20454C42
#define   HS_PL_SUC_ROMAREA     0xA100
#define   HS_PL_ERR_AREAOVER    0xE100
#define   HS_PL_ERR_ADDRESS     0xFFFFFFFF
#define   HS_PL_ERR_RECOVERY    0xFFFFFFFF


#define   HS_DEF1               0x0F2C0000
#define   HS_DEF2               0x0F3BFFFF

typedef struct {
  u_long    status1;
  u_long    status2;
  u_short   pl_buff[116];
  u_short   pl_table1[18];
  u_short   pl_table2[148];
  u_short   pl_table3[18];
} PL_IMAGE_TABLE;

typedef struct {
  u_short   bl_top;
  u_short   bl_end;
  u_short   data;
  u_short   spare;
  u_short   cont;
  u_short  *tbl;
} PL_SWITCH_TABLE;
#endif
